From cff7f988fd2ed7894c3d16144e799d994637d3cf Mon Sep 17 00:00:00 2001
From: Mart Raudsepp <leio@gentoo.org>
Date: Wed, 13 Feb 2019 12:28:53 +0200
Subject: [PATCH 1/5] build: Separate options for manpages install and gtk-doc
 generation
---
 docs/meson.build  | 10 +++++++---
 meson.build       |  6 +-----
 meson_options.txt |  6 ++++--
 3 files changed, 12 insertions(+), 10 deletions(-)

diff --git a/docs/meson.build b/docs/meson.build
index 76e59797e..5e1d541bd 100644
--- a/docs/meson.build
+++ b/docs/meson.build
@@ -1,3 +1,7 @@
-subdir('tools')
-subdir('manpages')
-subdir('reference')
+if get_option('man')
+  subdir('manpages')
+endif
+if get_option('gtk-doc')
+  subdir('tools')
+  subdir('reference')
+endif
diff --git a/meson.build b/meson.build
index 7d61fe1a7..0fda24151 100644
--- a/meson.build
+++ b/meson.build
@@ -320,11 +320,7 @@ typelib_dir = gobject_introspection.get_pkgconfig_variable('typelibdir',
                                                            define_variable:  [ 'libdir', libdir ])
 
 subdir('src')
-
-if get_option('docs')
-  subdir('docs')
-endif
-
+subdir('docs')
 subdir('examples')
 subdir('utils')
 
diff --git a/meson_options.txt b/meson_options.txt
index b36ba1d1e..0eb48aac4 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -1,11 +1,13 @@
-option('docs', type: 'boolean', value: true,
-       description: 'Enable the documentation')
 option('fts', type: 'boolean', value: true,
        description: 'Enable the Tracker full-text search feature')
 option('functional_tests', type: 'boolean', value: true,
        description: 'Enable the Tracker functional test suite')
+option('gtk-doc', type: 'boolean', value: true,
+       description: 'Generate API documentation with gtk-doc')
 option('journal', type: 'boolean', value: true,
        description: 'Enable database journal backup mechanism')
+option('man', type: 'boolean', value: true,
+       description: 'Install man pages')
 
 option('network_manager', type: 'combo', choices: ['auto', 'no', 'yes'], value: 'auto',
        description: 'Enable connection detection through NetworkManager')
-- 
2.17.0

